pragma Warnings (Off);
pragma Ada_95;
pragma Source_File_Name (zlib_adamain, Spec_File_Name => "b__zlib_ada.ads");
pragma Source_File_Name (zlib_adamain, Body_File_Name => "b__zlib_ada.adb");
pragma Suppress (Overflow_Check);
with Ada.Exceptions;

package body zlib_adamain is

   E080 : Short_Integer; pragma Import (Ada, E080, "system__os_lib_E");
   E018 : Short_Integer; pragma Import (Ada, E018, "system__soft_links_E");
   E030 : Short_Integer; pragma Import (Ada, E030, "system__exception_table_E");
   E075 : Short_Integer; pragma Import (Ada, E075, "ada__io_exceptions_E");
   E060 : Short_Integer; pragma Import (Ada, E060, "ada__strings_E");
   E045 : Short_Integer; pragma Import (Ada, E045, "ada__containers_E");
   E032 : Short_Integer; pragma Import (Ada, E032, "system__exceptions_E");
   E026 : Short_Integer; pragma Import (Ada, E026, "system__soft_links__initialize_E");
   E062 : Short_Integer; pragma Import (Ada, E062, "ada__strings__maps_E");
   E066 : Short_Integer; pragma Import (Ada, E066, "ada__strings__maps__constants_E");
   E050 : Short_Integer; pragma Import (Ada, E050, "interfaces__c_E");
   E086 : Short_Integer; pragma Import (Ada, E086, "system__object_reader_E");
   E055 : Short_Integer; pragma Import (Ada, E055, "system__dwarf_lines_E");
   E044 : Short_Integer; pragma Import (Ada, E044, "system__traceback__symbolic_E");
   E011 : Short_Integer; pragma Import (Ada, E011, "ada__tags_E");
   E113 : Short_Integer; pragma Import (Ada, E113, "ada__streams_E");
   E123 : Short_Integer; pragma Import (Ada, E123, "interfaces__c__strings_E");
   E115 : Short_Integer; pragma Import (Ada, E115, "system__finalization_root_E");
   E111 : Short_Integer; pragma Import (Ada, E111, "ada__finalization_E");
   E117 : Short_Integer; pragma Import (Ada, E117, "system__storage_pools_E");
   E108 : Short_Integer; pragma Import (Ada, E108, "system__finalization_masters_E");
   E119 : Short_Integer; pragma Import (Ada, E119, "system__pool_global_E");
   E006 : Short_Integer; pragma Import (Ada, E006, "zlib_E");
   E004 : Short_Integer; pragma Import (Ada, E004, "zlib__thin_E");
   E002 : Short_Integer; pragma Import (Ada, E002, "zlib__streams_E");

   Sec_Default_Sized_Stacks : array (1 .. 1) of aliased System.Secondary_Stack.SS_Stack (System.Parameters.Runtime_Default_Sec_Stack_Size);

   Local_Priority_Specific_Dispatching : constant String := "";
   Local_Interrupt_States : constant String := "";

   Is_Elaborated : Boolean := False;

   procedure finalize_library is
   begin
      E002 := E002 - 1;
      declare
         procedure F1;
         pragma Import (Ada, F1, "zlib__streams__finalize_spec");
      begin
         if E002 = 0 then
            F1;
         end if;
      end;
      E006 := E006 - 1;
      declare
         procedure F2;
         pragma Import (Ada, F2, "zlib__finalize_spec");
      begin
         if E006 = 0 then
            F2;
         end if;
      end;
      E119 := E119 - 1;
      declare
         procedure F3;
         pragma Import (Ada, F3, "system__pool_global__finalize_spec");
      begin
         if E119 = 0 then
            F3;
         end if;
      end;
      E108 := E108 - 1;
      declare
         procedure F4;
         pragma Import (Ada, F4, "system__finalization_masters__finalize_spec");
      begin
         if E108 = 0 then
            F4;
         end if;
      end;
      declare
         procedure Reraise_Library_Exception_If_Any;
            pragma Import (Ada, Reraise_Library_Exception_If_Any, "__gnat_reraise_library_exception_if_any");
      begin
         Reraise_Library_Exception_If_Any;
      end;
   end finalize_library;

   procedure zlib_adafinal is

      procedure Runtime_Finalize;
      pragma Import (C, Runtime_Finalize, "__gnat_runtime_finalize");

   begin
      if not Is_Elaborated then
         return;
      end if;
      Is_Elaborated := False;
      Runtime_Finalize;
      finalize_library;
   end zlib_adafinal;

   type No_Param_Proc is access procedure;

   procedure zlib_adainit is
      Main_Priority : Integer;
      pragma Import (C, Main_Priority, "__gl_main_priority");
      Time_Slice_Value : Integer;
      pragma Import (C, Time_Slice_Value, "__gl_time_slice_val");
      WC_Encoding : Character;
      pragma Import (C, WC_Encoding, "__gl_wc_encoding");
      Locking_Policy : Character;
      pragma Import (C, Locking_Policy, "__gl_locking_policy");
      Queuing_Policy : Character;
      pragma Import (C, Queuing_Policy, "__gl_queuing_policy");
      Task_Dispatching_Policy : Character;
      pragma Import (C, Task_Dispatching_Policy, "__gl_task_dispatching_policy");
      Priority_Specific_Dispatching : System.Address;
      pragma Import (C, Priority_Specific_Dispatching, "__gl_priority_specific_dispatching");
      Num_Specific_Dispatching : Integer;
      pragma Import (C, Num_Specific_Dispatching, "__gl_num_specific_dispatching");
      Main_CPU : Integer;
      pragma Import (C, Main_CPU, "__gl_main_cpu");
      Interrupt_States : System.Address;
      pragma Import (C, Interrupt_States, "__gl_interrupt_states");
      Num_Interrupt_States : Integer;
      pragma Import (C, Num_Interrupt_States, "__gl_num_interrupt_states");
      Unreserve_All_Interrupts : Integer;
      pragma Import (C, Unreserve_All_Interrupts, "__gl_unreserve_all_interrupts");
      Detect_Blocking : Integer;
      pragma Import (C, Detect_Blocking, "__gl_detect_blocking");
      Default_Stack_Size : Integer;
      pragma Import (C, Default_Stack_Size, "__gl_default_stack_size");
      Default_Secondary_Stack_Size : System.Parameters.Size_Type;
      pragma Import (C, Default_Secondary_Stack_Size, "__gnat_default_ss_size");
      Leap_Seconds_Support : Integer;
      pragma Import (C, Leap_Seconds_Support, "__gl_leap_seconds_support");
      Bind_Env_Addr : System.Address;
      pragma Import (C, Bind_Env_Addr, "__gl_bind_env_addr");

      procedure Runtime_Initialize (Install_Handler : Integer);
      pragma Import (C, Runtime_Initialize, "__gnat_runtime_initialize");

      Finalize_Library_Objects : No_Param_Proc;
      pragma Import (C, Finalize_Library_Objects, "__gnat_finalize_library_objects");
      Binder_Sec_Stacks_Count : Natural;
      pragma Import (Ada, Binder_Sec_Stacks_Count, "__gnat_binder_ss_count");
      Default_Sized_SS_Pool : System.Address;
      pragma Import (Ada, Default_Sized_SS_Pool, "__gnat_default_ss_pool");

   begin
      if Is_Elaborated then
         return;
      end if;
      Is_Elaborated := True;
      Main_Priority := -1;
      Time_Slice_Value := -1;
      WC_Encoding := 'b';
      Locking_Policy := ' ';
      Queuing_Policy := ' ';
      Task_Dispatching_Policy := ' ';
      Priority_Specific_Dispatching :=
        Local_Priority_Specific_Dispatching'Address;
      Num_Specific_Dispatching := 0;
      Main_CPU := -1;
      Interrupt_States := Local_Interrupt_States'Address;
      Num_Interrupt_States := 0;
      Unreserve_All_Interrupts := 0;
      Detect_Blocking := 0;
      Default_Stack_Size := -1;
      Leap_Seconds_Support := 0;

      zlib_adamain'Elab_Body;
      Default_Secondary_Stack_Size := System.Parameters.Runtime_Default_Sec_Stack_Size;
      Binder_Sec_Stacks_Count := 1;
      Default_Sized_SS_Pool := Sec_Default_Sized_Stacks'Address;

      Runtime_Initialize (1);

      if E018 = 0 then
         System.Soft_Links'Elab_Spec;
      end if;
      if E030 = 0 then
         System.Exception_Table'Elab_Body;
      end if;
      E030 := E030 + 1;
      if E075 = 0 then
         Ada.Io_Exceptions'Elab_Spec;
      end if;
      E075 := E075 + 1;
      if E060 = 0 then
         Ada.Strings'Elab_Spec;
      end if;
      E060 := E060 + 1;
      if E045 = 0 then
         Ada.Containers'Elab_Spec;
      end if;
      E045 := E045 + 1;
      if E032 = 0 then
         System.Exceptions'Elab_Spec;
      end if;
      E032 := E032 + 1;
      if E026 = 0 then
         System.Soft_Links.Initialize'Elab_Body;
      end if;
      E026 := E026 + 1;
      E018 := E018 + 1;
      if E080 = 0 then
         System.Os_Lib'Elab_Body;
      end if;
      E080 := E080 + 1;
      if E062 = 0 then
         Ada.Strings.Maps'Elab_Spec;
      end if;
      if E066 = 0 then
         Ada.Strings.Maps.Constants'Elab_Spec;
      end if;
      E066 := E066 + 1;
      if E050 = 0 then
         Interfaces.C'Elab_Spec;
      end if;
      E062 := E062 + 1;
      E050 := E050 + 1;
      if E086 = 0 then
         System.Object_Reader'Elab_Spec;
      end if;
      if E055 = 0 then
         System.Dwarf_Lines'Elab_Spec;
      end if;
      E055 := E055 + 1;
      if E044 = 0 then
         System.Traceback.Symbolic'Elab_Body;
      end if;
      E044 := E044 + 1;
      E086 := E086 + 1;
      if E011 = 0 then
         Ada.Tags'Elab_Spec;
      end if;
      if E011 = 0 then
         Ada.Tags'Elab_Body;
      end if;
      E011 := E011 + 1;
      if E113 = 0 then
         Ada.Streams'Elab_Spec;
      end if;
      E113 := E113 + 1;
      if E123 = 0 then
         Interfaces.C.Strings'Elab_Spec;
      end if;
      E123 := E123 + 1;
      if E115 = 0 then
         System.Finalization_Root'Elab_Spec;
      end if;
      E115 := E115 + 1;
      if E111 = 0 then
         Ada.Finalization'Elab_Spec;
      end if;
      E111 := E111 + 1;
      if E117 = 0 then
         System.Storage_Pools'Elab_Spec;
      end if;
      E117 := E117 + 1;
      if E108 = 0 then
         System.Finalization_Masters'Elab_Spec;
      end if;
      if E108 = 0 then
         System.Finalization_Masters'Elab_Body;
      end if;
      E108 := E108 + 1;
      if E119 = 0 then
         System.Pool_Global'Elab_Spec;
      end if;
      E119 := E119 + 1;
      if E006 = 0 then
         Zlib'Elab_Spec;
      end if;
      if E006 = 0 then
         Zlib'Elab_Body;
      end if;
      E006 := E006 + 1;
      if E004 = 0 then
         Zlib.Thin'Elab_Body;
      end if;
      E004 := E004 + 1;
      if E002 = 0 then
         Zlib.Streams'Elab_Spec;
      end if;
      if E002 = 0 then
         Zlib.Streams'Elab_Body;
      end if;
      E002 := E002 + 1;
   end zlib_adainit;

--  BEGIN Object file/option list
   --   /builddir/build/BUILD/zlib-ada/zlib.o
   --   /builddir/build/BUILD/zlib-ada/zlib-thin.o
   --   /builddir/build/BUILD/zlib-ada/zlib-streams.o
   --   -L/builddir/build/BUILD/zlib-ada/
   --   -L/usr/lib/gcc/x86_64-redhat-linux/8/adalib/
   --   -static
   --   -lgnat
   --   -ldl
--  END Object file/option list   

end zlib_adamain;
